Organizations

Create an organization

Create a new organization. The current user becomes the owner. The organization is automatically pinned to the current API version.

POST/api/orgs

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Request Body

application/json

curl -X POST "https://loading/api/orgs" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "slug": "string",
  "role": "owner",
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "type": "https://docs.appstrate.dev/errors/invalid-request",
  "title": "Invalid Request",
  "status": 400,
  "detail": "Field is required",
  "code": "invalid_request",
  "requestId": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "requestId": "req_abc123"
}